package com.platform.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.platform.entities.DataInfoEntity;
import com.platform.entities.PagerOptions;

@Repository(value = "dataInfoDao")
public interface DataInfoDao {

	int getLimitedDataCount(@Param("PagerOptions")PagerOptions pagerOptions);

	int getLimitedBeginId(@Param("PagerOptions")PagerOptions pagerOptions);

	List<DataInfoEntity> getLimitedDataInfoEntities(@Param("PagerOptions")PagerOptions pagerOptions);

	List<String> getIdIsExist(List<Integer> list)throws Exception;
	
	int removes(List<Integer> list)throws Exception;
	
	int save(DataInfoEntity data) throws Exception;

}
